# Uses of Interface
org.opensaml.saml.saml2.metadata.AttributeConsumingService

Packages that use AttributeConsumingService
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.
org.opensaml.saml.ext.saml2mdquery
Interfaces for SAML 2 Metadata Profile for Standalone Query Requesters.
org.opensaml.saml.ext.saml2mdquery.impl
Implementation for SAML v2.0 Metadata Extension for Stand-Alone Query Requesters.
org.opensaml.saml.metadata.support
Classes in support of SAML metadata.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AttributeConsumingService in org.opensaml.saml.common.binding.impl

Methods in org.opensaml.saml.common.binding.impl that return AttributeConsumingService
Modifier and Type
Method
Description
`private AttributeConsumingService`
SAMLAddAttributeConsumingServiceHandler.`attributeConsumingServiceFromRequestedAttributes()`
Generate an `AttributeConsumingService` from the `RequestedAttributes`.

## Uses of AttributeConsumingService in org.opensaml.saml.common.messaging.context

Fields in org.opensaml.saml.common.messaging.context declared as AttributeConsumingService
Modifier and Type
Field
Description
`private AttributeConsumingService`
AttributeConsumingServiceContext.`attributeConsumingService`
The AttributeConsumingService.
Methods in org.opensaml.saml.common.messaging.context that return AttributeConsumingService
Modifier and Type
Method
Description
`AttributeConsumingService`
AttributeConsumingServiceContext.`getAttributeConsumingService()`
Gets the assertion to be validated.
Methods in org.opensaml.saml.common.messaging.context with parameters of type AttributeConsumingService
Modifier and Type
Method
Description
`AttributeConsumingServiceContext`
AttributeConsumingServiceContext.`setAttributeConsumingService(AttributeConsumingService acs)`
Sets the assertion to be validated.

## Uses of AttributeConsumingService in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate that return AttributeConsumingService
Modifier and Type
Method
Description
`AttributeConsumingService`
AttributeConsumerServiceLookupFunction.`apply(AttributeConsumingServiceContext input)`

## Uses of AttributeConsumingService in org.opensaml.saml.ext.saml2mdquery

Methods in org.opensaml.saml.ext.saml2mdquery that return types with arguments of type AttributeConsumingService
Modifier and Type
Method
Description
`List<AttributeConsumingService>`
AttributeQueryDescriptorType.`getAttributeConsumingServices()`
Gets the list of attribute consuming service endpoints support by this role.

## Uses of AttributeConsumingService in org.opensaml.saml.ext.saml2mdquery.impl

Fields in org.opensaml.saml.ext.saml2mdquery.impl with type parameters of type AttributeConsumingService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AttributeConsumingService>`
AttributeQueryDescriptorTypeImpl.`attributeConsumingServices`
Attribute consuming endpoints.
Methods in org.opensaml.saml.ext.saml2mdquery.impl that return types with arguments of type AttributeConsumingService
Modifier and Type
Method
Description
`List<AttributeConsumingService>`
AttributeQueryDescriptorTypeImpl.`getAttributeConsumingServices()`
Gets the list of attribute consuming service endpoints support by this role.

## Uses of AttributeConsumingService in org.opensaml.saml.metadata.support

Methods in org.opensaml.saml.metadata.support that return AttributeConsumingService
Modifier and Type
Method
Description
`private AttributeConsumingService`
AttributeConsumingServiceSelector.`selectByIndex(List<AttributeConsumingService> candidates)`
Select the service based on the index value.
`private AttributeConsumingService`
AttributeConsumingServiceSelector.`selectDefault(List<AttributeConsumingService> candidates)`
Select the default service.
`AttributeConsumingService`
AttributeConsumingServiceSelector.`selectService()`
Select the AttributeConsumingService.
Methods in org.opensaml.saml.metadata.support that return types with arguments of type AttributeConsumingService
Modifier and Type
Method
Description
`protected List<AttributeConsumingService>`
AttributeConsumingServiceSelector.`getCandidates()`
Get the list of candidate attribute consuming services.
Method parameters in org.opensaml.saml.metadata.support with type arguments of type AttributeConsumingService
Modifier and Type
Method
Description
`private AttributeConsumingService`
AttributeConsumingServiceSelector.`selectByIndex(List<AttributeConsumingService> candidates)`
Select the service based on the index value.
`private AttributeConsumingService`
AttributeConsumingServiceSelector.`selectDefault(List<AttributeConsumingService> candidates)`
Select the default service.

## Uses of AttributeConsumingService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return AttributeConsumingService
Modifier and Type
Method
Description
`AttributeConsumingService`
SPSSODescriptor.`getDefaultAttributeConsumingService()`
Gets the default attribute consuming service.
Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AttributeConsumingService
Modifier and Type
Method
Description
`List<AttributeConsumingService>`
SPSSODescriptor.`getAttributeConsumingServices()`
Gets a list of attribute consuming service descriptors for this service.

## Uses of AttributeConsumingService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AttributeConsumingService
Modifier and Type
Class
Description
`class`
`AttributeConsumingServiceImpl`
Concrete implementation of `AttributeConsumingService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AttributeConsumingService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AttributeConsumingService>`
SPSSODescriptorImpl.`attributeConsumingServices`
AttributeConsumingService children.
Methods in org.opensaml.saml.saml2.metadata.impl that return AttributeConsumingService
Modifier and Type
Method
Description
`AttributeConsumingService`
AttributeConsumingServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeConsumingService`
AttributeConsumingServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AttributeConsumingService`
SPSSODescriptorImpl.`getDefaultAttributeConsumingService()`
Gets the default attribute consuming service.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AttributeConsumingService
Modifier and Type
Method
Description
`List<AttributeConsumingService>`
SPSSODescriptorImpl.`getAttributeConsumingServices()`
Gets a list of attribute consuming service descriptors for this service.